Ubuntu: Problem with autoreconf



Question:

I'm having a problem when trying to build the library libmatheval (problem is reoccurring regardless of version chosen). The documentation says that before building and installing it I should run autoreconf -fi, which is causing an issue.

The terminal is giving me this:

configure:11759: error: possibly undefined macro: AC_LIB_LINKFLAGS_FROM_LIBS        If this token and others are legitimate, please use m4_pattern_allow.        See the Autoconf documentation.  autoreconf: /usr/local/bin/autoconf failed with exit status: 1  

As far as I can tell this is a problem connected to guile. There is some information about this (or a similar) problem here: https://sourceforge.net/p/autogen/mailman/message/29764332/ with the main comment being;

AC_LIB_LINKFLAGS_FROM_LIBS is defined in gnulib/m4/lib-link.m4 and needs  the file gnulib/build-aux/config.rpath.     In other words, using guile.m4 requires using gnulib.  

Though I am not sure exactly what this means my uneducated guess is that autoconf is looking in the wrong place for guile? I've tried adding some directories to LD_LIBRARY_PATH but sadly it has not worked. GNUlib is installed an up to date.

I'm running Ubuntu 16.04 LTS, GNU Autoconf is on version 2.64

Many thanks in advance.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »